io.vertx.rxjava.ext.auth

## Class User

- java.lang.Object
- - io.vertx.rxjava.ext.auth.User

-     public class User
      extends Object

  Represents an authenticates User and contains operations to authorise the user.

  Please consult the documentation for a detailed explanation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User(User delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `User` | `clearCache()` The User object will cache any authorities that it knows it has to avoid hitting the underlying auth provider each time.
    `Object` | `getDelegate()`
    `User` | `isAuthorised(String authority, Handler<AsyncResult<Boolean>> resultHandler)` Is the user authorised to
    `rx.Observable<Boolean>` | `isAuthorisedObservable(String authority)` Is the user authorised to
    `static User` | `newInstance(User arg)`
    `JsonObject` | `principal()` Get the underlying principal for the User.
    `void` | `setAuthProvider(AuthProvider authProvider)` Set the auth provider for the User.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User(User delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### isAuthorised

          public User isAuthorised(String authority,
                                   Handler<AsyncResult<Boolean>> resultHandler)

      Is the user authorised to
      Parameters:
        `authority` - the authority - what this really means is determined by the specific implementation. It might represent a permission to access a resource e.g. `printers:printer34` or it might represent authority to a role in a roles based model, e.g. `role:admin`.
        `resultHandler` - handler that will be called with an `AsyncResult` containing the value `true` if the they has the authority or `false` otherwise.
      Returns:
        the User to enable fluent use

    - #### isAuthorisedObservable

          public rx.Observable<Boolean> isAuthorisedObservable(String authority)

      Is the user authorised to
      Parameters:
        `authority` - the authority - what this really means is determined by the specific implementation. It might represent a permission to access a resource e.g. `printers:printer34` or it might represent authority to a role in a roles based model, e.g. `role:admin`.
      Returns:

    - #### clearCache

          public User clearCache()

      The User object will cache any authorities that it knows it has to avoid hitting the underlying auth provider each time. Use this method if you want to clear this cache.
      Returns:
        the User to enable fluent use

    - #### principal

          public JsonObject principal()

      Get the underlying principal for the User. What this actually returns depends on the implementation. For a simple user/password based auth, it's likely to contain a JSON object with the following structure:

             {
               "username", "tim"
             }

      Returns:
        JSON representation of the Principal

    - #### setAuthProvider

          public void setAuthProvider(AuthProvider authProvider)

      Set the auth provider for the User. This is typically used to reattach a detached User with an AuthProvider, e.g. after it has been deserialized.
      Parameters:
        `authProvider` - the AuthProvider - this must be the same type of AuthProvider that originally created the User

    - #### newInstance

          public static User newInstance(User arg)

Copyright © 2015. All Rights Reserved.